tools/patcheck: remove gcc-2.95 compat check